Subject: Re: Problems with Zip card on a II GS
From: [email-masked] (David Empson)
Date: Mon, 23 Oct 1995 03:42:42 GMT
Newsgroups: comp.sys.apple2

In article <[email-masked]>,
David de Sosa <[email-masked]> wrote:
> Okay, I replaced the 40 pin connector with the broken pin #1 and finally 
> installed my 9mhz 32k ver 1.02 Zip GSX into my Apple II GS Rom 03. 
> Everything booted up okay initially.  After I installed the zip utilities 
> onto my hard drive (GSOS 6.01) and rebooted I got an error msg saying my 
> hard drive might be damaged and that I need to reinitialize both 
> partitions.

This could be due to the ZIP INIT enabling some feature of the card
that conflicts with your hardware.  I'll elaborate below.

> On the Zip card the switches are set as follows:
> Switch bank 1             Switch bank 2
> #1 = on                     #1 = off
> #2 = off                    #2 = off
> #3 = on                     #3 = on
> #4 = off                    #4 = on 
> #5 = off                    #5 = on
> #6 = on                     #6 = off 
> #7 = off                    #7 = off 
> #8 = on                     #8 = off

Quick documentation on the switches for the ZIP:

SW1/1 = Cxxx/Dxxx cache disable.  Leave this ON (cache enabled).
SW1/2 = Joystick delay (OFF to enable delay).
SW1/3 = AppleTalk delay (OFF to enable delay).  This should be left ON.
SW1/4 = Counter Delay (OFF to enable delay).  This is only needed to
        allow the IIgs the pass self-test 05XXXXXX, and it will still
        fail a later test.
SW1/5 = CPS Follow.  This MUST be left OFF (enabled).
SW1/6 = ZIP Disabled (OFF to disable acceleration).

SW1/7 and 1/8 select the cache size:

      1/7  1/8
      ON   ON     8k
      ON   OFF    16k
      OFF  ON     32k
      OFF  OFF    64k

SW2/1 through SW2/7 control the delay disable/enable for each slot:
set the switch OFF to enable the corresponding delay.

SW2/8 = Speaker Delay (OFF to enable delay).

Your switch 1 settings look OK.  Switch 2 is set to delay slots 1, 2,
6 and 7.

All of these options can be changed by the ZIP INIT when you boot from
your hard drive.  The settings used by the INIT are controlled by the
ZIPGS.Sys16 Utility.

If you are only having problems after booting, I suggest that you
remove the INIT from the hard drive, boot into GS/OS, reinstall the
INIT, then use ZIPGS.Sys16 to set the options in the INIT to match
those of the card before rebooting again.  See if the problem persists.

I suspect that setting slot 7 to FAST might be the cause of the
problem.  I can't be certain of this, as I've never used a ZIP with a
RamFast.  According to the manual, the RamFast has been tested and
works with the ZIP.  There is no mention of it requiring slot slowdown.

You can also change all of the settings using the ZIPGS CDA or Control
Panel.

> I finally gave up and pulled my Zipcard out.  Now everything works as   
> normal.  I didn't notice any speed increase while it was in but maybe 
> that is because I never installed it initially if that is required.  

No software is needed - the ZIP will automatically behave according to
its switch settings.  The software allows you have a different set of
acceleration settings when you boot from a particular GS/OS disk, and
provides utilities for changing the settings on the fly.

> I am hoping someone has gone through this before and can help me here.  I 
> hope there is nothing wrong with the Zip card.  Maybe there is a 
> diagnostic test that I can perform on it???? 

There is no diagnostic function provided by the ZIP.

-- 
David Empson
[email-masked]
Snail mail: P.O. Box 27-103, Wellington, New Zealand